summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-24.1.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin270035 -> 270030 bytes
-rw-r--r--dev-python/bandit/Manifest2
-rw-r--r--dev-python/bandit/bandit-1.7.8.ebuild44
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.59.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.59.ebuild67
-rw-r--r--dev-python/django-filter/Manifest2
-rw-r--r--dev-python/django-filter/django-filter-24.1.ebuild42
-rw-r--r--dev-python/google-auth/Manifest2
-rw-r--r--dev-python/google-auth/google-auth-2.28.2.ebuild59
-rw-r--r--dev-python/mypy/Manifest2
-rw-r--r--dev-python/mypy/mypy-1.9.0.ebuild112
-rw-r--r--dev-python/pyglet/Manifest2
-rw-r--r--dev-python/pyglet/pyglet-2.0.14.ebuild79
-rw-r--r--dev-python/pytest-asyncio/Manifest2
-rw-r--r--dev-python/pytest-asyncio/pytest-asyncio-0.23.5_p1.ebuild52
-rw-r--r--dev-python/qiskit-terra/Manifest2
-rw-r--r--dev-python/qiskit-terra/qiskit-terra-0.46.1.ebuild188
-rw-r--r--dev-python/rq/Manifest2
-rw-r--r--dev-python/rq/rq-1.16.1.ebuild57
-rw-r--r--dev-python/sqlglot/Manifest12
-rw-r--r--dev-python/sqlglot/sqlglot-22.0.1.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-22.1.0.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-22.1.1.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-22.2.0.ebuild121
-rw-r--r--dev-python/sqlglot/sqlglot-22.3.0.ebuild (renamed from dev-python/sqlglot/sqlglot-21.2.1.ebuild)0
-rw-r--r--dev-python/superqt/Manifest2
-rw-r--r--dev-python/superqt/superqt-0.6.2.ebuild49
-rw-r--r--dev-python/types-docutils/Manifest10
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240303.ebuild17
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240304.ebuild17
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240308.ebuild17
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240309.ebuild (renamed from dev-python/types-docutils/types-docutils-0.20.0.20240302.ebuild)0
-rw-r--r--dev-python/types-setuptools/Manifest2
-rw-r--r--dev-python/types-setuptools/types-setuptools-69.1.0.20240309.ebuild17
-rw-r--r--dev-python/weasyprint/Manifest2
-rw-r--r--dev-python/weasyprint/weasyprint-61.2.ebuild47
40 files changed, 943 insertions, 553 deletions
diff --git a/dev-python/Faker/Faker-24.1.0.ebuild b/dev-python/Faker/Faker-24.1.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-24.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index bfb222e3504f..8c881f2dde20 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,7 +1,9 @@
DIST Faker-23.2.1.tar.gz 1708603 BLAKE2B 94759727bb7feb520d51c3a52e50e01bad164cc3f262620d9f106f4746e68b298447d678dba7a5af9a80d0fdd7d9981f57ca50e27ab10671caec52c34e0442ee SHA512 1fefc84bed97e012c4e07117d62a6e0970e1be9d1c2b6f09db497b0d5ba66a2b2b0f3ba806926621d59dc0753a8b8c9caacefa15fbb23c755f110c5ef908975d
DIST Faker-23.3.0.tar.gz 1716346 BLAKE2B 21be02c45fdaeed398ce157b9874985791dff67784b60198323ffae8f8c3a3e82932ebc152893aed40efb5d73e1e775c52b364c62411b59e48ce3d897971ba92 SHA512 2bdcf86adae1eeee257ee24df140894451d13854afdde8794d08072b9b572e48fcacb74597f64da9f069e914db0f27c8f4e74d746a25bbee8421310749468b82
DIST Faker-24.0.0.tar.gz 1716657 BLAKE2B 6dd4ff39e2d7ecd941a1c12c34894f092603f00331e147aa3056a3a15eb7a06c88c0000cf5a9fc1b754299bd5e3a707b7b95f7842c5eeb00dc2089f065bfca0c SHA512 cd764feb37863f98038d9b9da8c41967e9e8fc1fd250a92b3cea376610ecda3f90fd691297c824fe83845fc0bc0a8d859f96512ee2b6b720d4e12f2cd8d6c8d3
+DIST Faker-24.1.0.tar.gz 1716789 BLAKE2B 60a8571cd9aae2c1a47aabcb50d85507d78b5635332d24036e2b28756c4e7da3950074eff906200b9eefee28d9594dba3df7ee17fd815308e01d1cf8ed422afb SHA512 a467cfab41a074ac88c398640b02898f96ced7150d5989270573fd5765e880e539932046b5829b3428d087b5f6f97c9c5ea51725003abbf2ae06e8862fd86fef
EBUILD Faker-23.2.1.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-23.3.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-24.0.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-24.1.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 585ab5d1417b..da58842aa367 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/bandit/Manifest b/dev-python/bandit/Manifest
index 20a402cd793c..dc63c110cd28 100644
--- a/dev-python/bandit/Manifest
+++ b/dev-python/bandit/Manifest
@@ -1,3 +1,5 @@
DIST bandit-1.7.7.tar.gz 1980358 BLAKE2B 78330ff515a5b8200a05615c8fbad0a65011ffd9c29cf40464fee372417982738de7fd616d1b5f8910dbe45937ba6da6a87252f471e7d762a905f4683d3892f0 SHA512 32682a9a4c54532be398444799bc6d46d06e2806d3e3e851dd09f0151b21df5974eaa4c940307f32cd6c58b36b99a361cbd8c48f189c27071565be6de63b0db5
+DIST bandit-1.7.8.tar.gz 1983678 BLAKE2B 7891c6f3cd893c0abd9becfb648284cbc393c5d0d1be6d9bf9934fcd33038ac34afd40e3d5cb4ef2d3389cb33f73d719de21cd9ef3acf8f64c73e41a11fc4fb6 SHA512 a9fb2e052018eaff77617f0b9aded2e42f2e50f8ff08d273597a686376e2f621f0f7be7efbb273380155a8bbf2aed4c7f15e48b5652544122d5b9766a4dc1cc1
EBUILD bandit-1.7.7.ebuild 1079 BLAKE2B ae307ea6f4e345eb8b4790bea2351dad56cfbe35ea4d0ad726915c99c72941a5836c5a68d0f21e83da69628610f6620a49a2c6650c3634045e0511be2984263d SHA512 5fc2f6190bbafcae242214450ae5e9a1e2f504c702a316d7d3f947a4acf140461b5b2e129c99431b0ac98fa1ee2aae7554050ebb7dd4b224053dcee8d708c250
+EBUILD bandit-1.7.8.ebuild 1187 BLAKE2B 7a1b1ffb531c47d643574064dbea1266bfe37d47daf2c241efc67245f806290b73525d036bedde763c86dbd6433914c5af95e3e57706202c8d0c8e545edcd001 SHA512 84c7909b08b06a0838239ac3552afef03f85e9c35188b5b784101339d3f3ce4772c776f84c762295d24593a2bce0e0b27144e704610794e681366c9c25a8950d
MISC metadata.xml 810 BLAKE2B 6f836d0afbb33f233618f056a9d4161cbdafe93abbed2f321e4e799bb75a86e2c4cc27cd43e74d05e1a15496ecf52e6a575ecd8dd4ae463ee37f742331b0086d SHA512 e3dc0280839cb1a54a2585fd6fe19fce66ceff73a7e010479e99e9631c224851b303d577b5de0ba62bc94b78b9b75b30c0103421441bba9753e4231bc3914481
diff --git a/dev-python/bandit/bandit-1.7.8.ebuild b/dev-python/bandit/bandit-1.7.8.ebuild
new file mode 100644
index 000000000000..13be010b92ac
--- /dev/null
+++ b/dev-python/bandit/bandit-1.7.8.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A security linter from OpenStack Security"
+HOMEPAGE="
+ https://github.com/PyCQA/bandit/
+ https://pypi.org/project/bandit/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/GitPython-3.1.30[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.3.1[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/beautifulsoup4-4.8.0[${PYTHON_USEDEP}]
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/pylint-1.9.4[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.3.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 625c35d724ab..2e02ede7edce 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,6 +5,7 @@ DIST boto3-1.34.55.gh.tar.gz 779897 BLAKE2B 9ca34cb517a0117e91945658ce67d8bc1656
DIST boto3-1.34.56.gh.tar.gz 780044 BLAKE2B d0600fe852787835a74d48582238e8421aa83aa99413037ca03c89d1fb083e591d5b5cac35c94929c2de26f3ad58a97d3e74d70d264daa89cdaffafcc91530ba SHA512 f692371fae8dedfd6bb3dbba1d9ed5a713d0d498d57f8c911caa110cf9ad70466199060271656213299d936b0d9e9b693871967575921cb8ddaee78e23c4ffe6
DIST boto3-1.34.57.gh.tar.gz 780600 BLAKE2B 80592c3877baeea889da4e8346489610337fbefaf8432e41338f4534b7db4d6bebaffc0472fe06ce5c49b9eec108cd18ab12e6ec458ef76ae834d655a0dc35c5 SHA512 c980dd20a470a911634f63cef61ccbf993d8815414edf820b0abdb60bcf0d802d54c3d23ebe0023ba84bbc255e2d6eaf277b872495a97feef1d6a4d0a5d34c77
DIST boto3-1.34.58.gh.tar.gz 781455 BLAKE2B c0327eb97170554866c7970b6f513ce979f265ba337040ff338babaffe2515532ea1e8eaee4b237243bf481d71f470cf2f1d945126541f02bb35c4935e7a8306 SHA512 c93bf820c17df80a833cc4b89f1afa6611336d93e5fb13d0d32201334354c48012186f45e864d8f983b46cda3dc1d36d90fe2bc2e122918506824764ddc369fb
+DIST boto3-1.34.59.gh.tar.gz 782060 BLAKE2B d46f20f101f36380a17cb5c1bd511adde1b9fb01981566b863d192d0b93d9965a6720dc67ba47d4e1da94b3994dc5a6e59b1effa4e5c4f5e1e25f1683d99c40e SHA512 5d1d34339d60cd5c2efb60da885c4f92e5c245ef95bdaf46631d2938adf9fb08f7fba86ce2dd3e6382291d0d72c81aa9698cfe327d88c0b8ae8812d9c1e0b37c
EBUILD boto3-1.34.44.ebuild 1258 BLAKE2B 7f7ba2672f66400a4c2c202847d4bc7b57a0941b51f4f2f725475c38b6092c6a89687476db8bb701688ff47ccce491ffc435968a407ffc30ef860747573a1f43 SHA512 aebf347c928b4364a045a4bfb20edad39f9530fed5dfeef6b7e684feae0a146b71aa53cbb49f0b79e89671b97402aad447e6971df74ee44fef523ebad23f992c
EBUILD boto3-1.34.49.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.54.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
@@ -12,4 +13,5 @@ EBUILD boto3-1.34.55.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe
EBUILD boto3-1.34.56.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.57.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.58.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.59.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.59.ebuild b/dev-python/boto3/boto3-1.34.59.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.59.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index cd5b0e02e4d2..999dc2c268f8 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -5,6 +5,7 @@ DIST botocore-1.34.55.gh.tar.gz 12750876 BLAKE2B 48222899d97aeea39c471ad1822641b
DIST botocore-1.34.56.gh.tar.gz 12750089 BLAKE2B ac55ddc7d1f683cf3c2b9b39e73f8c85d8aac45f3b8db15e279ac38fb30edad92c4bb5181b7c488b1b904cce34fd13c69f55fac3ed141358b131f525617174cf SHA512 c0607741b65adeb059cdb100dbd819ed66bf6ce3c0e4cc9460f25046004ebc074b48c896ef39728db6b90c2029643faba3d7fe353acd741260c82e53de66d283
DIST botocore-1.34.57.gh.tar.gz 12751088 BLAKE2B 56a101297c42cc18b8c765572c8ff6c7de907e0e95378592a8c3500e351fc8b7bddb3127c7806331f5082155b35c33083e656a2ee4630218609fc5e91a1bb004 SHA512 cb7b2ffbe8104526be4654d7791b8ea0ee0ede4af7b91a507b4db06d86d56eec999152031734d1515b3c60dac9f1213e6374a1912638de2bc1098f4782d23180
DIST botocore-1.34.58.gh.tar.gz 12756573 BLAKE2B f50486fcbdeaf7b2faef9c0a912335ad43b346a046f56c23a47b46ce0a65dd4308f30893d21647c2f40a1515739dec76b903ac3b813b2bdd8132bae3babe1ed0 SHA512 daf6781e6ace07945edd8f4c0b5e623640b60793735b65abcb7ba7ca67b8e93872329333b5003be43d2f7f32f5dedc51600a0b460107ef3aad530c8c72107706
+DIST botocore-1.34.59.gh.tar.gz 12764223 BLAKE2B 13347793764afb8ef51502149f490e5082e65a76a3f72eb484d60ea44542dc8026ddfd6e6cc0c90273f6f3fbdc82e42bc6ad5f2c434900a881208ff79edcbf6b SHA512 5afe577889fed68308a414982c12d36ddc9ce1d7d7b866c544d1f25226050772775c7ee04e490f72d1f355a1f68fcfcb7431d626fa9a85f76065f2576de511cf
EBUILD botocore-1.34.44.ebuild 1477 BLAKE2B 784b43f060f0702808a3894fdab7a15dd4b4feeffc3c1ab2fe24cca762b2dc1310f40ae5b2941db5c4aa9c4ff8b69d858520826027a50ce975d25150132b4d56 SHA512 e86970ec900929641794d61e02f26bc7e7c8af803095dcc5c8fbedac9d79275c596176f2b492061289056c7d29ebbaa6e64344148f22b6349ac4420ab5038dca
EBUILD botocore-1.34.49.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.54.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
@@ -12,4 +13,5 @@ EBUILD botocore-1.34.55.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe
EBUILD botocore-1.34.56.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.57.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.58.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
+EBUILD botocore-1.34.59.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.59.ebuild b/dev-python/botocore/botocore-1.34.59.ebuild
new file mode 100644
index 000000000000..ba6cd2a5d2a2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.59.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/django-filter/Manifest b/dev-python/django-filter/Manifest
index 7af5c98cb5fb..5f9944050030 100644
--- a/dev-python/django-filter/Manifest
+++ b/dev-python/django-filter/Manifest
@@ -1,3 +1,5 @@
DIST django-filter-23.5.gh.tar.gz 137866 BLAKE2B 8956441dc4425925ff8a121833fc59552709274a64d880aa5cadbae8063a67891969a712f79c9a5aa03fcd404ed288294e818e9f2e968c4d88761a847e35a3e9 SHA512 5534a4e8538b4ed0b5dbc168a7ba4eb51b0431d22874d1d4613b421ec830f45caed8faa71ecb144ba26704ff842742e8517d1599277b84480c4bf4282c19308c
+DIST django-filter-24.1.gh.tar.gz 138579 BLAKE2B 86711bc2f0e2dbad59d445d2dd4456c409d18e5ca9403a2179a5f8f2721b206ebdf7de67965d7efb7bbda88b9ac41e94b51a205406f53345b57b602deba7ec98 SHA512 84751d67c03f9cb8e42b37efe16fe457eaa3dee8c2b385a95600e5e2efbd377405e7d827c740c9b7c182fe4e50cfc84244921ee3d83d62bebe4b0efae99a8a70
EBUILD django-filter-23.5.ebuild 898 BLAKE2B 094cac72496d4aaec9cc70c01526ee772bd7c8f1fad6fde1263da6529b648789350a9d1100cbba90894b02c1185ca93d4b19e8d2d2e09c68d037afde9f0dfb4e SHA512 c6041ed51ceb745d41d52e25b44b16a63bc8769af412f6c3de00b3ae97f66d730f8fa3695ea7e498f3de898fc7a2fa6c250a753b4753bf64d399b748f119e475
+EBUILD django-filter-24.1.ebuild 898 BLAKE2B 3cc93db6328b6d6e535be155b37667fd3769d96ce820ac666553275d6d64dc4ed0b20a4f8f1dc93d2d5ba5374b5bd33337c6d2f415a3eadb5493eece0c6d58cf SHA512 522ca1ea6c54f35b264d1dc682c8ea36d298aefa3ed114fdba85197030a84de37104a25d3fc767b29bc21de78c8844291f9065da152b69f899b8b4c7be2d9f01
MISC metadata.xml 408 BLAKE2B 65a69b978d067aa59567504b378b931dddab24cfa11723a8fb1b317cf1ed906120835fe9bdb19d5457e57ab735e114bc3fb021a7defa4d895c2a80825430a818 SHA512 1e04d4fb02d1818913f7b5ee2e81be3df339c1b0a942ad0c0ae867e168350b8dc0aeac8fd6c31b701b4f6e743a90dccc70ea9b0a47e8add1a675435b4997506e
diff --git a/dev-python/django-filter/django-filter-24.1.ebuild b/dev-python/django-filter/django-filter-24.1.ebuild
new file mode 100644
index 000000000000..d8a17b109b61
--- /dev/null
+++ b/dev-python/django-filter/django-filter-24.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Django app allowing declarative dynamic QuerySet filtering from URL parameters"
+HOMEPAGE="
+ https://github.com/carltongibson/django-filter/
+ https://pypi.org/project/django-filter/
+"
+SRC_URI="
+ https://github.com/carltongibson/django-filter/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-4.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/djangorestframework[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ !!dev-python/coreapi
+ )
+"
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.settings
+ "${EPYTHON}" -m django test -v 2 || die
+}
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index c212fe15d65c..d57f62b691b8 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,5 @@
DIST google-auth-2.28.1.tar.gz 240469 BLAKE2B 5bb74863eceddb7e0a1cdd6adb52a7467fcbd23a913177d20910194458721c3abcaa5d2f1f93324fae08aff91c8dc9fb65ba786ea8ed698daebb440505f17b2e SHA512 013c90dbeb6868406f56de87b72277a7932795ae3b806442bf07e90d34143e9a8035d2481f8c46a707a2bb0ed4285a1cb249613eff0da0b28b1aced783ce6a08
+DIST google-auth-2.28.2.tar.gz 240450 BLAKE2B 8e82f3e27ca6eaf61c48acdb233437caaebd5c4bd59a0392c097b816a4efae74b492504608849afa85d58d32822943e245b355ac48d18bb1fb6807cc7278bdba SHA512 9aaef2034a1b85350a39662dfa2ab53fc4e6a46326ac5cf2e361b3f8febd196d2cf5e5ab01c1bb3fedf33f0e1526ed33db60b088ed6c943732a70ed65c7cba01
EBUILD google-auth-2.28.1.ebuild 1439 BLAKE2B 7f1d474e335a4a6ec0a86d6f47d69accd6ae97bb5ff53f1d1c4e8d78c79ffcbaf3f1a633a279936276ecf707cc2455f494a68a599c3299f06e73090e08d3b4c3 SHA512 cedc905deb31d47c3581d26b8b7765145452a281c0ca0ba79966b47d1f20779ab41e6c321b3ced80b7d805bd3d9ab47cdf041e3d0c727b69c88059b584e6b54a
+EBUILD google-auth-2.28.2.ebuild 1442 BLAKE2B ecbc9be9f3ad790c4f3b52d359cd4e3727fb67c5b179a6a3da566077ad811ac6e7cf459af03fcfd088e8c61ba035780fb3f0f59f79be33f2699ad044a821af10 SHA512 dd25537915a25048d6baa439a9c983c432c334a7cc395eda312d2517c71f83750964cd4d1978886d270e3f6e38f020f75875ecfd86e9bd102a265e9c729bf812
MISC metadata.xml 521 BLAKE2B 784282f6a173e7746a408556d77e1277f65a41eae545b6b26054c1e506642e683c1c7d91798f3b7b690bc4f9d2f642a51c1395593177eebf1770d2a0c0ba589e SHA512 c2624ebca3dc42961e61531db4724b2b354a722f71cd7f2c194680fee50125d2251f4b94cc7e31b008a2792e74b0f55f407a1230d3f59572df9cf32ee49d2fb7
diff --git a/dev-python/google-auth/google-auth-2.28.2.ebuild b/dev-python/google-auth/google-auth-2.28.2.ebuild
new file mode 100644
index 000000000000..e044a6c75ff3
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.28.2.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index c0f7f275f121..4be87a040f05 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,3 +1,5 @@
DIST mypy-1.8.0.gh.tar.gz 3023408 BLAKE2B 81f987423f2bbef8f7f1b894983b34d34b0df408bae28fbb2cb59c5d4597b4d6b9afb8e9a2914aad969dcb621f1fe4ba4850b242bb76c4cfa35aae340f4f36b4 SHA512 231237ea44ccf619ac3d3f7f3cb42658bc9802d7a34f61101a9ac79f0fa67d8f566950e14dae3465c9620cdf67dc80cb65a3e2a6724ff944bfa911754caf592b
+DIST mypy-1.9.0.gh.tar.gz 3029335 BLAKE2B 5329a95e5ac52933413a91bec2c8bd728451508b7ead880c7c4542bbe5d4cd4d2155c6d372d31a653af9a913de51d8e35d44c1dde193787ce8eaedd8d64d682d SHA512 aaa975b97e72f00a384a38fee190e39c6469b062a7083c76bb94bb7058ed38f713f65b96bb36a871a430633cab424a0f11e995868f867e2f7a13c4754ed96c89
EBUILD mypy-1.8.0.ebuild 3516 BLAKE2B 3d13d335e49cf38e0bb3512e1d726c085ccdd014d7f55d4a8620e87513ee456fa6a829cbb1240c2ac40b3ff7b784997ded1e915c83ce17b36750945b5aed75df SHA512 3620d216bbd666c6fe250733e0e94fdaff7d50e4fb5c9076287fe0bb6165a7a7864a29f05cd20ba8124b16adcc82ddd17a75331ce45dc48d56ac0c79ee6381f8
+EBUILD mypy-1.9.0.ebuild 3687 BLAKE2B 74e2d9cbfa6cf4fde045f39cac4fefe889abfc5c6f4c8d7daa9d6e6b6a044dc8657d8143cdda83df2acd4bb3d96b79dd33c3e361b674555a29a7b8b647fba4d8 SHA512 36dbc3b64c6a5fc2a18ff1dd43ebb748f3cba5a21b6290128f9884abbee886db3672d9971d87e8655c514459e5658c9d7fc87f9f9f77d0840fc1471d66524ba5
MISC metadata.xml 661 BLAKE2B df57cc2dfde5b112f8c26b51ca5cc9e7727d318ee274ea7e1abf448819daf0307f471aeb7c32b19f20e87ce1ccffd47a5529415003765c275523e1b5236f3bb1 SHA512 eddd19c4b0b5211f73f9619f388a799ced108b62bb43d852ed2d01d0b1717e7b9ef118d34b9d61db543c7b47080fb8058c3d35f7359cc456069636f357e080c9
diff --git a/dev-python/mypy/mypy-1.9.0.ebuild b/dev-python/mypy/mypy-1.9.0.ebuild
new file mode 100644
index 000000000000..de2d9546e36e
--- /dev/null
+++ b/dev-python/mypy/mypy-1.9.0.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ https://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.1.0[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ native-extensions? (
+ ${RDEPEND}
+ dev-python/types-psutil[${PYTHON_USEDEP}]
+ dev-python/types-setuptools[${PYTHON_USEDEP}]
+ )
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.9.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+# frustratingly, mypyc produces non-deterministic output. If ccache is enabled it will be a waste of time,
+# but simultaneously it might trash your system and fill up the cache with a giant wave of non-reproducible
+# test files (https://github.com/mypyc/mypyc/issues/1014)
+export CCACHE_DISABLE=1
+
+src_compile() {
+ local -x MYPY_USE_MYPYC=$(usex native-extensions 1 0)
+ distutils-r1_src_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # the majority of them require Internet (via pip)
+ mypy/test/testpep561.py
+ # known broken with assertions enabled
+ # https://github.com/python/mypy/issues/16043
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64GlueMethodsAndInheritance
+ mypyc/test/test_run.py::TestRun::run-floats.test::testFloatOps
+ # these assume that types-docutils are not installed
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testIgnoreImportIfNoPython3StubAvailable
+ mypy/test/testpythoneval.py::PythonEvaluationSuite::pythoneval.test::testNoPython3StubAvailable
+ # TODO
+ mypy/test/meta/test_parse_data.py
+ mypy/test/meta/test_update_data.py
+ mypy/test/teststubtest.py::StubtestUnit::test_runtime_typing_objects
+ )
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ # more assertions, sigh
+ mypyc/test/test_run.py::TestRun::run-bools.test::testBoolOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64BasicOps
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64DefaultArgValues
+ mypyc/test/test_run.py::TestRun::run-i64.test::testI64ErrorValuesAndUndefined
+ )
+ ;;
+ esac
+
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+
+ # The tests depend on having in-source compiled extensions if you want to
+ # test those compiled extensions. Various crucial test dependencies aren't
+ # installed. Even pyproject.toml is needed because that's where pytest args
+ # are in. Hack them into the build directory and delete them afterwards.
+ # See: https://github.com/python/mypy/issues/16143
+ local -x MYPY_TEST_PREFIX="${S}"
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ cp -r "${S}"/{conftest.py,pyproject.toml} . || die
+
+ local failed=
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest -n "$(makeopts_jobs)" --dist=worksteal || failed=1
+
+ rm conftest.py pyproject.toml || die
+
+ [[ ${failed} ]] && die "epytest failed with ${EPYTHON}"
+}
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 78411a3479e3..8334bfd967fa 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1,7 +1,9 @@
DIST pyglet-2.0.10.gh.tar.gz 6414679 BLAKE2B 42d6724d67bfac5b80f22f8e995b601dde9e68c49e75b75d1deffb5816ac5a246f0fa5923d159ea27b71720a8301f49dade12ed5179dd4dd69af81085a3daf80 SHA512 cb92e920eebc7b09ccbf396f5a78e5e089df17fbc0cd40b862be9309d97999fcf76995de5602c75efa2294bb387c7489a075fa0bd8ef322ec3573ba6524a3aa4
DIST pyglet-2.0.12.gh.tar.gz 6415028 BLAKE2B ba1a697fe4e75b77da2b4ed7c1fa7b95269eb6f67502103fba158ec9fca636fe6027c6ece10c517ed4f7bbaae063b62d947cf9963bb4ed31b842eb7fddf793cb SHA512 e94009f002b295df891367f7e2b30f692606b0a35c1475e9ddf7f463ef5286691f8755f804b24c382fbea97ab2d58dfd51422110be9994a520dce6d365b90df0
DIST pyglet-2.0.13.gh.tar.gz 6417145 BLAKE2B ad47d22e53b4da08e6a4b4f4351ba03ea7b236d8680edd793e83c3e0bc5c350d8b1514b08c0dfe24b392761f7df64cf5e0ef8972d9fed6f9d367b0c887567ea5 SHA512 3ffb67b4a5aac72f4c2cdbe4f2492e9e41e69749e544d281bfa8bc491dc56fd2bb4833ffff92b4f639070c162c9460baf01f25090d91b9bd371d8ce23a4309c3
+DIST pyglet-2.0.14.gh.tar.gz 6420548 BLAKE2B af4d354f49b6d413c35eb9f455a580a0981156b597590a5430f2e380940e815b9a0e9067b0fe47965ad4e88ae7771158fca39d52fd83fea3539cb9252500a7fa SHA512 ffbe2ab0847cd2635970c919fca3c9c190949c8843d5c7e6b7b702e32cf6e09dd4a6f9e7f2ea55134abd7f0ec9ecff347a64aa5771e0e64e67c169d3c60944ec
EBUILD pyglet-2.0.10.ebuild 2017 BLAKE2B 5dde684a3a9c26de3e74267a67c22abba5a0ff58175f40822fa2b59855a0ecf13a80f6e83e343bdf2bc18b014cf3ead0f6525a5a8d9e2ddd9d39619e7f035d15 SHA512 8ba97fea5c396c11e2d7b164606f4ad2c24cfd33fbf86521c4d8e0840725872154edc6de0cdda6971490eea41d66fdae34797b005c51d5411334a1cdce43aa16
EBUILD pyglet-2.0.12.ebuild 1751 BLAKE2B b3c7746523d6a197ee3dfee0eff32edf23300c61ff721fdcb57170d492c025ebd41d79560a6da84e4b32895ede9e4ed0f2b474c198f7a5c587703b9870fd8617 SHA512 412810b0351003f31c6ee909d82be87041b94d9747af56dd119ade07804200680ef4ce081375953d1da88ecee97ef9602ece3635f7ebd66840d32eef8e1d7993
EBUILD pyglet-2.0.13.ebuild 1751 BLAKE2B b3c7746523d6a197ee3dfee0eff32edf23300c61ff721fdcb57170d492c025ebd41d79560a6da84e4b32895ede9e4ed0f2b474c198f7a5c587703b9870fd8617 SHA512 412810b0351003f31c6ee909d82be87041b94d9747af56dd119ade07804200680ef4ce081375953d1da88ecee97ef9602ece3635f7ebd66840d32eef8e1d7993
+EBUILD pyglet-2.0.14.ebuild 1751 BLAKE2B b3c7746523d6a197ee3dfee0eff32edf23300c61ff721fdcb57170d492c025ebd41d79560a6da84e4b32895ede9e4ed0f2b474c198f7a5c587703b9870fd8617 SHA512 412810b0351003f31c6ee909d82be87041b94d9747af56dd119ade07804200680ef4ce081375953d1da88ecee97ef9602ece3635f7ebd66840d32eef8e1d7993
MISC metadata.xml 1092 BLAKE2B 51abba6b5545fb47d277edaca91fda755e885f08a9407f5cd3d468c8b0b86991b57d8d151e27d59755ea884ae894ed0e5c32d357b0d81e66eb9054ca6fc92055 SHA512 7e47cc4c39ebf827bf46423251df994a65c2af8ada9420b36810e36f245bbd810796bc8b02cbce182ff071bbd9dae0c9e5d9f5cb201349cd49fa311b3891dc2f
diff --git a/dev-python/pyglet/pyglet-2.0.14.ebuild b/dev-python/pyglet/pyglet-2.0.14.ebuild
new file mode 100644
index 000000000000..28c5feeacc17
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.0.14.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+ https://pyglet.org/
+ https://github.com/pyglet/pyglet/
+ https://pypi.org/project/pyglet/
+"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+RDEPEND="
+ virtual/glu
+ virtual/opengl
+ image? (
+ || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ )
+ )
+ sound? (
+ || (
+ media-libs/libpulse
+ media-libs/openal
+ )
+ )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/fontconfig
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ xdg_environment_reset
+
+ local EPYTEST_DESELECT=(
+ # lacking device/server permissions
+ tests/unit/media/test_listener.py::test_openal_listener
+ tests/unit/media/test_listener.py::test_pulse_listener
+ # fragile to system load
+ tests/unit/media/test_player.py::PlayerTestCase::test_pause_resume
+ tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+ )
+
+ # Specify path to avoid running interactive tests
+ # We could add in integration tests, but they're slow
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-asyncio/Manifest b/dev-python/pytest-asyncio/Manifest
index 34fa3ac6a893..af0f4872c291 100644
--- a/dev-python/pytest-asyncio/Manifest
+++ b/dev-python/pytest-asyncio/Manifest
@@ -1,3 +1,5 @@
+DIST pytest-asyncio-0.23.5.post1.tar.gz 46227 BLAKE2B 25c1ea816efee026ffec8703a3f8d84311e67a73e5c32395aa0b5dd9ee9b328c0eb198ee64aadafedd9f1563dfe8074720059f536a998cddc45c7b85e8d7f251 SHA512 a8948f82d281d760bdd55b4fb84dc72ff6a8fcb813896d1c9024586c1aac52b5f18831599f6b5160f203ac35410ad8286c06242ece63d7eb728b89e66ca82855
DIST pytest-asyncio-0.23.5.tar.gz 45887 BLAKE2B 6f641d3c614c5a224f51278ba6021ed40f015a30aa19999cca7803cc3b50e91e8a0e3c997fbd6905801a10fda5f6c2de9f2ce3228d6f1a3f734e81ebd9f0796c SHA512 112ddaa0cf8c05cec4e99cb55df4db1b7d9929b13aa531172b442cff4cd49fbe12ec23ff12aaa260f303919c840c13b21c00a94990e4b107fb115c4850a33b47
EBUILD pytest-asyncio-0.23.5.ebuild 1605 BLAKE2B 06b9821bf10e8071302d96eefef1ae5ee1abb01fd22324409e4fe118dc2cb93768b2e0a48ec29596d95e20ab37e89f9aecc5f6911a54c84c8ba980e70b97d99c SHA512 5645c0a2addeecefde1b1d1d163ac0b1ef5025dc92a6cd26f92530b1642d7677b77cd97ccf57e20ce9ae9b6daa773701805686bd60eb5722e0727d8e8aab1ec2
+EBUILD pytest-asyncio-0.23.5_p1.ebuild 1613 BLAKE2B fc7729d1a0392ab2ef98bc82056511444fc4d83fc9acfdd993ad81291ba40f3fee346442370c6a2f32267ec33de203db7e0632e1b158d2919f18aefb0da44437 SHA512 5b3c5e36c5dfa25a4ae5d918d6d52f7df29f8a005012f437d52e2a53e12495ad7eb5b39f413a97f521605a5ba57d5ad91037274a1952c6ea91cd0942155f9a57
MISC metadata.xml 385 BLAKE2B 3d8faba48e1b3e531ea338f08f2de4b7bf637190e65fc61df2bd4d994cc97707016f83927f4a5181ac27d412a8c91255e90caba15f2d687f2339bc8ea61b18f2 SHA512 71178d3fba362e7532c87cb519f3661b25018771b86c302660de11f1bc7817b8352a2c8fcf60084a5e62b15148307a360267381ac38e8c856784034d80327d4d
diff --git a/dev-python/pytest-asyncio/pytest-asyncio-0.23.5_p1.ebuild b/dev-python/pytest-asyncio/pytest-asyncio-0.23.5_p1.ebuild
new file mode 100644
index 000000000000..3309bf08c6f5
--- /dev/null
+++ b/dev-python/pytest-asyncio/pytest-asyncio-0.23.5_p1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Library for testing asyncio code with pytest"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-asyncio/
+ https://pypi.org/project/pytest-asyncio/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/pytest-5.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on precise warning counts
+ tests/hypothesis/test_base.py::test_can_use_explicit_event_loop_fixture
+ tests/modes/test_legacy_mode.py
+ tests/modes/test_strict_mode.py::test_strict_mode_ignores_unmarked_fixture
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_fixture_leaves_loop_unclosed
+ tests/test_event_loop_fixture_finalizer.py::test_event_loop_fixture_finalizer_raises_warning_when_test_leaves_loop_unclosed
+ tests/test_pytest_min_version_warning.py
+ tests/trio/test_fixtures.py::test_strict_mode_ignores_trio_fixtures
+
+ # TODO
+ tests/test_is_async_test.py::test_returns_false_for_unmarked_coroutine_item_in_strict_mode
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_asyncio.plugin,_hypothesis_pytestplugin
+ epytest
+}
diff --git a/dev-python/qiskit-terra/Manifest b/dev-python/qiskit-terra/Manifest
index 9dfb7c815ead..71af25925fb9 100644
--- a/dev-python/qiskit-terra/Manifest
+++ b/dev-python/qiskit-terra/Manifest
@@ -40,6 +40,7 @@ DIST pyo3-ffi-0.19.2.crate 66500 BLAKE2B b4139fba31ef17017b6b60784e41ccda34931a0
DIST pyo3-macros-0.19.2.crate 7173 BLAKE2B 8862f42a30929579b0b0bc2ba7f0b416518724480e197fa13288e49324e851f964183e1529b7f31bf5d4fe0ae194a412723b6b401100e66fba98bbcd9c283866 SHA512 852cc2792aa3d30d9ab8802a451be5617cae6536adced1bf0dde71704a3c7c1bfe862fba751b6d045249819a8ba5d87dfc50914d142a0b662f046498c06f8c2e
DIST pyo3-macros-backend-0.19.2.crate 49962 BLAKE2B 9d8a032c2205f55d2431b6bbc40df153339e08479df3a8a65506ade7d1f3d17cfaf664cbd09eaec9acff3f5a248598e37427d0c5a531eaf527137803adf49834 SHA512 fd708e6fdbd54ef7c676bedc62070175bac6b8f7ae11231578196dbf552b163a8a2499a1266f786bb6bfb85517fe83610902137d59a5c42efcb1a27c4235a07e
DIST qiskit-0.46.0.gh.tar.gz 10949616 BLAKE2B 35bb88f5d43582145a72945b0633665fb962ab27bde35ec7e290823cef41ae93bb4e0155728186d3eb9dfdb419efe014c127fcef12b69d93d259cba83ed3e57f SHA512 d9d6f485dc47301b045b9e9932d17f23306724cfd6fd32b730fba9f7366297dfd9151b9e80e634a8f641d0bea99c94b9e3e8e2ce9563fd82bd18b6bcf74d49d8
+DIST qiskit-0.46.1.gh.tar.gz 10952767 BLAKE2B 96143144de33d967fa91bc0fd21ef291c68ea4155ee0d6498d55597c5c2c00d9a53131c73b2b0c3c74594d631bc780c5d82fda1492ea9e025a96c1b6967031b1 SHA512 4fcca5c4d8e9c464e2164c315c80c4ba1e6f1a2d364dfd58b6354bd6a040f21d0cff31a67a5be27dcd4900ec136628ab679dd6e1e630534245441bd8c0587a07
DIST quote-1.0.32.crate 28037 BLAKE2B 7b243ac7929f3b2e1d91a51a2dc2b11dd29bc017be9db588c83bd137609e2f991a4f3ff8682c7c11c177153e517c4f818285cce3237f435aa43ad0126c4bab6d SHA512 13cae36920dcbd0ad1978be63f20b35b8424d02b4d9992032fa78c7770d61d1fa7ec1532a48793cab48e703236b7bee7843041253b9e83700903228078b4c025
DIST rand-0.8.5.crate 87113 BLAKE2B 516f26bb2a969d0d79e957818133f35d2c0b4d9f1b401098ea23c5b80d27599e842b9298c0c5e46e2a6cb6953857bf8a9fb71ec9366c5ce6708cf17df14f179c SHA512 8b33a8988906ba5e2057a9a84bdd11f867a5536c22f5056eec59ed4ec4e3a6da2fd773da4c0510d343762e5a4ea0f007db4c4a7cef87a47f90e36c1a84d86fb2
DIST rand_chacha-0.3.1.crate 15251 BLAKE2B 645771b2c3e274f085e0837a20306b1d59f6e9032fba8eb38a6d1b30180d15e2f89ffa2a162bf6358da41e030098242d81e71dab4321980d0a4f6ddfc2974ce3 SHA512 8198c580b1b9b0429758ffa49cd8138fa3ce724f0dcf73c767ea7e55611d6a2e4c7cad9950896510def500ce4062b594386c947ac3d89425b4e5c9b04d0b8075
@@ -70,4 +71,5 @@ DIST windows_x86_64_gnu-0.48.2.crate 801615 BLAKE2B 72529734ea7c0019025d6de7a083
DIST windows_x86_64_gnullvm-0.48.2.crate 418482 BLAKE2B d51b983aa23ce467001493d909751866c5f6e4f3241f578a79aba56f6700cf210a0328a0b9bafaffbc331cbd1b843704a96610adae18b290f317ca351de684ee SHA512 10dc93b706b5c295e5fe54ad30277699b4491751baec30d9f57618eb083b850cddac4fd871bc4519aef74942127a4bbd637d6abcb16249ff8658dcd2c87dbd5d
DIST windows_x86_64_msvc-0.48.2.crate 798416 BLAKE2B 2e9b22359a1c61b8cf9b071cde74ca3382a82b7deffd96749a2353e9ea458b688772876149b54995ecef16df1890529412d78727966febd39afe69a9cd380011 SHA512 423de12304534f8cb54952d51e82abb6438c5c8e8d2e12d9573ef2209ed3be9976d825c1329bba9dd438d155c12688a23f33f48045f19891cea5ffc17545b722
EBUILD qiskit-terra-0.46.0.ebuild 4856 BLAKE2B 09ba45bc20894dd495f6162eb1f16a7391a3410802b634b114129696e509dfc9194249cd2eaad446f1c42bbd3d1444f7742ace9ce312f29d779df3167de64f94 SHA512 4a1e166cfa46af7216f1f4c3cac0c66f641e5c8d06dc8b2e4df412b147860d8be9e8b4a8a6ef92c2c7b14492f23d79d2dd4ea854ffc359318b3d10264139b512
+EBUILD qiskit-terra-0.46.1.ebuild 4856 BLAKE2B 457983ca9f45f66c954cef7c98aa0d1365d31a728ec33fa351d4e8a4e583d711ee9fd269001be917a149d95c925076575cf4a8591ce1f0cee6ac81d8065aee85 SHA512 82a3d305b44aff2b56fd79c0b4494f72921e467226f8fb981b52dd9dc8e2ce4d43e313ffb4c7ee581eb869c5a21a68bd3ccaa268c2e0bb673f838c23e18c6691
MISC metadata.xml 1093 BLAKE2B 1af13b6038faf75ef4aaacc22af472e2a9515fc0ba2dc5802aabc768702158f9c6ed8c81eef0ec7edbb2c18a80c28f8c6c3cf93c3b212fd2b7f5448038231107 SHA512 62d534ee1751329618a66f7b9be79c93c3b67a12f9c0bffb573f83eaf8ecd71e83802b86bc48d9390ce35175fb81f99aa302ba0c5a6345c124628506f2c55309
diff --git a/dev-python/qiskit-terra/qiskit-terra-0.46.1.ebuild b/dev-python/qiskit-terra/qiskit-terra-0.46.1.ebuild
new file mode 100644
index 000000000000..922260acb3d5
--- /dev/null
+++ b/dev-python/qiskit-terra/qiskit-terra-0.46.1.ebuild
@@ -0,0 +1,188 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+CRATES="
+ ahash@0.8.3
+ allocator-api2@0.2.16
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ crossbeam-deque@0.8.3
+ crossbeam-epoch@0.9.15
+ crossbeam-utils@0.8.16
+ either@1.9.0
+ equivalent@1.0.1
+ fixedbitset@0.4.2
+ getrandom@0.2.10
+ hashbrown@0.12.3
+ hashbrown@0.14.0
+ indexmap@1.9.3
+ indexmap@2.0.1
+ indoc@1.0.9
+ itertools@0.10.5
+ libc@0.2.147
+ libm@0.2.7
+ lock_api@0.4.10
+ matrixmultiply@0.3.7
+ memoffset@0.9.0
+ ndarray@0.15.6
+ num-bigint@0.4.4
+ num-complex@0.4.4
+ num-integer@0.1.45
+ num-traits@0.2.16
+ numpy@0.19.0
+ once_cell@1.18.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.8
+ petgraph@0.6.3
+ ppv-lite86@0.2.17
+ priority-queue@1.3.2
+ proc-macro2@1.0.66
+ pyo3-build-config@0.19.2
+ pyo3-ffi@0.19.2
+ pyo3-macros-backend@0.19.2
+ pyo3-macros@0.19.2
+ pyo3@0.19.2
+ quote@1.0.32
+ rand@0.8.5
+ rand_chacha@0.3.1
+ rand_core@0.6.4
+ rand_distr@0.4.3
+ rand_pcg@0.3.1
+ rawpointer@0.2.1
+ rayon-cond@0.2.0
+ rayon-core@1.12.0
+ rayon@1.8.0
+ redox_syscall@0.3.5
+ rustc-hash@1.1.0
+ rustworkx-core@0.13.2
+ scopeguard@1.2.0
+ smallvec@1.11.1
+ syn@1.0.109
+ target-lexicon@0.12.11
+ unicode-ident@1.0.11
+ unindent@0.1.11
+ version_check@0.9.4
+ wasi@0.11.0+wasi-snapshot-preview1
+ windows-targets@0.48.2
+ windows_aarch64_gnullvm@0.48.2
+ windows_aarch64_msvc@0.48.2
+ windows_i686_gnu@0.48.2
+ windows_i686_msvc@0.48.2
+ windows_x86_64_gnu@0.48.2
+ windows_x86_64_gnullvm@0.48.2
+ windows_x86_64_msvc@0.48.2
+"
+
+inherit cargo distutils-r1 multiprocessing optfeature
+
+MY_P=qiskit-${PV}
+DESCRIPTION="Terra is the foundation on which Qiskit is built"
+HOMEPAGE="
+ https://github.com/Qiskit/qiskit/
+ https://pypi.org/project/qiskit-terra/
+"
+SRC_URI="
+ https://github.com/Qiskit/qiskit/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+ ${CARGO_CRATE_URIS}
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 MIT
+ Unicode-DFS-2016
+ || ( LGPL-3 MPL-2.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+visualization"
+
+RDEPEND="
+ >=dev-python/rustworkx-0.13.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.17[${PYTHON_USEDEP}]
+ >=dev-python/ply-3.10[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.5[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.3[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.3[${PYTHON_USEDEP}]
+ >=dev-python/python-constraint-1.4[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/symengine-0.11.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.10)
+ visualization? (
+ >=dev-python/matplotlib-3.3[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.3.0[${PYTHON_USEDEP}]
+ dev-python/pydot[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pylatexenc-1.4[${PYTHON_USEDEP}]
+ >=dev-python/seaborn-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ >=dev-python/cython-0.27.1[${PYTHON_USEDEP}]
+ test? (
+ app-text/poppler[png]
+ >=dev-python/ddt-1.4.4[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-4.24.3[${PYTHON_USEDEP}]
+ >=dev-python/networkx-2.2[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ <dev-python/qiskit-aer-0.13[${PYTHON_USEDEP}]
+ >=sci-libs/scikit-learn-0.20.0[${PYTHON_USEDEP}]
+ )
+"
+
+# Files built without CFLAGS/LDFLAGS, acceptable for rust
+QA_FLAGS_IGNORED="
+ usr/lib.*/py.*/site-packages/qiskit/_accelerate.*.so
+ usr/lib.*/py.*/site-packages/qiskit/_qasm2.*.so
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # strip forcing -Werror from tests that also leaks to other packages
+ sed -i -e '/filterwarnings.*error/d' qiskit/test/base.py || die
+ # sigh
+ find -name 'test_*.py' -exec sed -i -e \
+ 's:assertRaises(DeprecationWarning):assertWarns(DeprecationWarning):' \
+ {} + || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/python/circuit/test_equivalence.py::TestEquivalenceLibraryVisualization::test_equivalence_draw
+ test/python/transpiler/test_unitary_synthesis_plugin.py::TestUnitarySynthesisPlugin
+ test/python/visualization/test_dag_drawer.py::TestDagDrawer::test_dag_drawer_no_register
+ )
+
+ local EPYTEST_IGNORE=(
+ # Breaks xdist
+ test/python/qasm2/test_parse_errors.py
+ )
+
+ rm -rf qiskit || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # Run the Python test suite rather than everything under test/ which
+ # includes the 'randomized' suite. Upstream run that in a separate CI job.
+ # Note: use -p timeout --timeout 500 if debugging hanging tests.
+ epytest -p xdist -n "$(makeopts_jobs)" --dist=worksteal test/python
+}
+
+pkg_postinst() {
+ optfeature "qiskit.circuit.classicalfunction support" dev-python/tweedledum
+}
diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index 029e0c688472..184031a4672b 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,5 +1,7 @@
DIST rq-1.15.1.gh.tar.gz 633531 BLAKE2B e1cf463e54533a1a56fab98a66f4cfe2ef73da48ab965a10066b84050aa1ac72373328246236fbd45bdf3d026ffc355aa117a21047dce1cef16b18c6e96a0f3f SHA512 75228f037c5c731f7788bb18654f2e07a9af39f8980900166e07145887f7cbed06fbd7fb5513a770cee791d07a49d85a544b83f347cce6726d7745f8396e3aac
DIST rq-1.16.0.tar.gz 627998 BLAKE2B cff296147f92d234a29f3e1c0f762bcaf873aabebc3cea816e8a772586e41ca850bba600d1e6e974ebfe1da4286ee4b15a5326cb0fee1a082b7bc632005b3ef5 SHA512 8746bed4d9fccd2f74ceb3ba026268f3c7441f278348e2823e6dbaf95326ff396f76564f3622c94440fef4b0a49b5fadc5680b1abdb3cfaacfa1118aa85c8457
+DIST rq-1.16.1.tar.gz 628089 BLAKE2B 74d57c34f338c8dfe14c921134253618253124fc34b69b78f0526a9c4d08b0d70ed50115658ee275f09b98ca48d7f5334032d81e0e9437184a0d3c4e782645fe SHA512 618f7833724b4bca5509132878d1bb28a25f99299a774709e839ff2b6771e27731330318070f6eb6c4aaced8167aec4ba02a89bf40285a9b16cd04e1935f7428
EBUILD rq-1.15.1.ebuild 1444 BLAKE2B cc0a48b0d249bd0f04cbe89b0751df613e110bd467b639bbd8c3df1e25c8642635a8cab902d8f0c5d98a8ed4e039d241dc2e712ef0e8428ae5a26bf3e7440c4b SHA512 fb337dad159eb75080893a48b2a2bc7f6634479f15361f832734fae69255151253433f29abfa9303ec3ffa45ea4845dbc00e556f7af0791a943c5c9977cdbad9
EBUILD rq-1.16.0.ebuild 1332 BLAKE2B d0514b70af8f560334d6d563644926e0b9fa5cc2c1d92930466495d29e9698918c68964c1e3baf98e5aca6c16eccb4d891adb927fa159ffdcf5718a745a6a998 SHA512 b1452dced3349b8e2330839e8ad7adce2882a5c91ad20c326705998fe9ce02af93d267affd4320a60934a7b3edef6295e56f8b05d7c9e80d7fdda887e931b73b
+EBUILD rq-1.16.1.ebuild 1332 BLAKE2B d0514b70af8f560334d6d563644926e0b9fa5cc2c1d92930466495d29e9698918c68964c1e3baf98e5aca6c16eccb4d891adb927fa159ffdcf5718a745a6a998 SHA512 b1452dced3349b8e2330839e8ad7adce2882a5c91ad20c326705998fe9ce02af93d267affd4320a60934a7b3edef6295e56f8b05d7c9e80d7fdda887e931b73b
MISC metadata.xml 453 BLAKE2B 6a46d43b524fded1ad4749fb9669ea07f8b3e23940d0bf2a4db5d92564316b01fdfbe220771e30b1a110ef72c613ad683cdcb7940682ea32198a5b6f027e4db3 SHA512 104ef96c34b55a9fda377c1304ff85781219fdbccef1a83d1bef30cb2fbd0ef816cfe82715af8937f452499135f7ed65c65a29c34919a09b6144ada367c26af5
diff --git a/dev-python/rq/rq-1.16.1.ebuild b/dev-python/rq/rq-1.16.1.ebuild
new file mode 100644
index 000000000000..ac48b2056812
--- /dev/null
+++ b/dev-python/rq/rq-1.16.1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Simple, lightweight library for creating and processing background jobs"
+HOMEPAGE="
+ https://python-rq.org/
+ https://github.com/rq/rq/
+ https://pypi.org/project/rq/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/click-5.0[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.5.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/sentry-sdk[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+ local redis_test_config="daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ "
+
+ # Spawn Redis itself for testing purposes
+ # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+ # I'm not restricting tests yet because this doesn't happen for anyone else AFAICT.
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+ # Run the actual tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index cb74d842f181..4589aae31802 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -19,12 +19,8 @@ DIST quote-1.0.33.crate 28090 BLAKE2B 77c4b166f1200e1ee2ab94a5014acd334c1fe4b7d7
DIST redox_syscall-0.4.1.crate 24858 BLAKE2B c3301137a0b84e03b09d28dfa377ab3bea74d574a08cee21d35713b278d8b5b30ca2a1d73a0981baeb4644cbb88c86c8eb15ab3bb2692e38b93e6b35fab4e0da SHA512 073ed9d96090cf46eab9877742277a013c62d8da86d9caf2310b4fa868af306511936553579e01309f27067d344226cc8dc5e3aef01d9b900da2febd33848f8d
DIST scopeguard-1.2.0.crate 11619 BLAKE2B 8b7e9ed6cefef9ee55407fb9690d57a2a98bb93e5105aeebdb475a52485e9e185255249e1dce8f83cd80534e7402d485aac3efa7e8493b13135de27550cd4bc4 SHA512 6247719a15fe1e4e2d179127b9a934bd2f99367724f41175ed9522f58824b6bc69b35002eae66b35880375ff61d77ac43ddaa78cbde7160a35183a1da32d3fbb
DIST smallvec-1.11.2.crate 34801 BLAKE2B 58645e99db8f02db64d02c75860c7ea41836c427c03ee3b0b23365e73a406e4fd6ac312bf13fc5faef8bb6111c10fcfd5f839d5b3686e9b34d1626f8469fc327 SHA512 5cfb427c3b99b0dbd71f6154ed899abcde9d7d2992977ac7b2ef3a4c3ff51e4efafd133071a69609b4ed6cb269bdc26b79eb72e1988f10dfcaef8185d950cd1d
-DIST sqlglot-21.2.1.tar.gz 17682954 BLAKE2B 63b03ee6640c1cb88fffc04442198971add9a04afede2712fb1a55b0f77252f0b9d76a67f364d4cf6c2959bafd4690606de1be31cc173f4e04dffccb3de98713 SHA512 800348c61470f77d844e551c2536e2d74645087c6591a460eaa5bebfff78538655863c861c2c817cc543374b24b6c6334c7d1050168157ba3cb92c01d4b16fa5
-DIST sqlglot-22.0.1.tar.gz 17713150 BLAKE2B ad0b4e83744afdc8f32a2127d22c13462eaa8778c56f162bcf8bf62c50abd076952fd2bac18817226bb38a10bbe557196062a092698a9df5680a7594c3cef8ef SHA512 15a3078dba7c072dd41f73dae71e36560a41de43e9493050d2e62a3e43f22583bc3879535fcee19f7f8b98c027f667ec75301ffe80d8df957b4030a98c99ebd1
-DIST sqlglot-22.1.0.tar.gz 17745401 BLAKE2B 58e805a7f0d2b6c9899c931f279f124a38e1c50ec76f849b0cca00d8cbe29e01275fc5250dc00277ccb52c8b32ced276b9e70e288ed1121ab00bf20860d99d56 SHA512 af284e7d2ddc5b25f5535e9a615d1e2f9c3b0c18b80246250b1324ad626d3550d7b12cb3a02d944f765eb51d16f58c669509967873dda00c9d1da94aac05b13b
-DIST sqlglot-22.1.1.tar.gz 17752039 BLAKE2B 96c152a199c989d2b5675745d1faeabd6b4ae0ffda531204eaab078d76929baaf04c23f5808a2e3b10305b1b5645657e4c55a76bf85823f481366aa08feebb3d SHA512 1584cbb92bea54808938ed7c08985bc68ef581f38479201be968364609acc106422de3abb4d75f765d20dace949485400ec149f71bbec7e34dee6e2983a77019
-DIST sqlglot-22.2.0.tar.gz 17754337 BLAKE2B b9cc0b6ab3198f26bbbbcd579729685ab1003a85a86ad0c2b15fbdaf3a9d89cd721ef95c3a011adf0ac950e52874adbfcde1e944dba48e8b497078969429233d SHA512 2434661ad7d989c2704af4e6f5c52beb2e16b8c3f4a115207b790c090250a5c1eea41cb24d3aebe3e8129c2e613606c8da8a8bc824a285529c150b2085292720
DIST sqlglot-22.2.1.tar.gz 17761904 BLAKE2B 67cfb6333f9f4d00ed7ac4cd1c3eedfd7f374e98b63474464e01937eeae1a978fa9dc1f948cb90e26f39a4e27efc1f5c57c9a82697076f46d8c1c67bcb0d7785 SHA512 3894f1c3924c6830822788e22f6b271ac47d555a6a1d264221fba15dcfa67dc27496944568bdb202bdb7a53fc67ee8f9afc25c1ef4cc624cab144e2d49de032a
+DIST sqlglot-22.3.0.tar.gz 12723662 BLAKE2B 301c2590d91c274e038d0fcce467cc6991af4a36300ae8ec9196f189d275195deb85bee11bc168ef6e979507618f73b96eb07c9f5de9d77ac06e0c291f6f2965 SHA512 21c2bb9b63b44fb6813253ac382512d45e5f6a109449b28c4ab468055217b8402fd0a2d9f39cfc09f37f7bcd7ea43828d5138a6012a5230254417d5ad1cbb32f
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
@@ -37,10 +33,6 @@ DIST windows_i686_msvc-0.48.5.crate 864300 BLAKE2B 3d3ea8be55e2d6ced0eeda18abe1d
DIST windows_x86_64_gnu-0.48.5.crate 801619 BLAKE2B aa7e7e6a6ff9f9553ada3a0a39a9aa798e9d995a8eef36e0b6fdb2a0db93ddecee5548970575271fe43aec74797a420d0ee231d503b5bad1bd999059261e0e33 SHA512 1d6056fae430b3d042bdff3c6217c76be4b8b9f5dada9bad06beaac2db7d7ab9b0a82e44f498ec88e61afa73e99f56d84d445dc3847732b9ce5d947e08485f74
DIST windows_x86_64_gnullvm-0.48.5.crate 418486 BLAKE2B 12a2199d434617c1df1a839e9f435620ad64b40c579f6d0c3677553ad7a48e5765d12c266b04946402e15c92cff2e4ac4979ce2130750ef426e2672119680284 SHA512 c016d5b5e73832b61ff67929d92fa8c16e154656294357266ad29ce1f44db4ca2d2935dba31a6b571187dc838b1d22f1e3b41fefffd1d719a338439adf1646aa
DIST windows_x86_64_msvc-0.48.5.crate 798412 BLAKE2B 8abc0721e2fb337fe17c91d278947d36122d9045b839ba0cf3e690202d242265b676f23cc301da5f9d98c56ca4ecb76f7d6f072ee71bf986a1deca87020b90e5 SHA512 fa1c5cd14ca2ff0082e2504cf59d317dc4dc6f7138d35c12f95d4476a9c13d8b7f5537d0ee251eee7c99411ad31b22263171b7fbd391daa5d3ea3488ceaa61a0
-EBUILD sqlglot-21.2.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
-EBUILD sqlglot-22.0.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
-EBUILD sqlglot-22.1.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
-EBUILD sqlglot-22.1.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
-EBUILD sqlglot-22.2.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-22.2.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
+EBUILD sqlglot-22.3.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
MISC metadata.xml 611 BLAKE2B 10bf684677182565c9932d51ed9b3b9c80d376d6db945bd7b0dd0d9a19a85dc0d10cb169ff2048ae5f7f73d0f438d259b6231c13c525b5374ec99377f4ffdd10 SHA512 2b26d0f77962807052b94ad78addcfdce9859042af3be34df267dc6e70b6231dd779563935fd21955cd8646fd0cce3fee8c939387ac8056194a0b777743dd2ae
diff --git a/dev-python/sqlglot/sqlglot-22.0.1.ebuild b/dev-python/sqlglot/sqlglot-22.0.1.ebuild
deleted file mode 100644
index 058fa81df816..000000000000
--- a/dev-python/sqlglot/sqlglot-22.0.1.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-22.1.0.ebuild b/dev-python/sqlglot/sqlglot-22.1.0.ebuild
deleted file mode 100644
index 058fa81df816..000000000000
--- a/dev-python/sqlglot/sqlglot-22.1.0.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-22.1.1.ebuild b/dev-python/sqlglot/sqlglot-22.1.1.ebuild
deleted file mode 100644
index 058fa81df816..000000000000
--- a/dev-python/sqlglot/sqlglot-22.1.1.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-22.2.0.ebuild b/dev-python/sqlglot/sqlglot-22.2.0.ebuild
deleted file mode 100644
index 058fa81df816..000000000000
--- a/dev-python/sqlglot/sqlglot-22.2.0.ebuild
+++ /dev/null
@@ -1,121 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..12} )
-
-CARGO_OPTIONAL=1
-CRATES="
- autocfg@1.1.0
- bitflags@1.3.2
- cfg-if@1.0.0
- heck@0.4.1
- indoc@2.0.4
- libc@0.2.150
- lock_api@0.4.11
- memoffset@0.9.0
- once_cell@1.19.0
- parking_lot@0.12.1
- parking_lot_core@0.9.9
- proc-macro2@1.0.70
- pyo3-build-config@0.20.0
- pyo3-ffi@0.20.0
- pyo3-macros-backend@0.20.0
- pyo3-macros@0.20.0
- pyo3@0.20.0
- quote@1.0.33
- redox_syscall@0.4.1
- scopeguard@1.2.0
- smallvec@1.11.2
- syn@2.0.41
- target-lexicon@0.12.12
- unicode-ident@1.0.12
- unindent@0.2.3
- windows-targets@0.48.5
- windows_aarch64_gnullvm@0.48.5
- windows_aarch64_msvc@0.48.5
- windows_i686_gnu@0.48.5
- windows_i686_msvc@0.48.5
- windows_x86_64_gnu@0.48.5
- windows_x86_64_gnullvm@0.48.5
- windows_x86_64_msvc@0.48.5
-"
-
-inherit cargo distutils-r1 pypi optfeature
-
-DESCRIPTION="An easily customizable SQL parser and transpiler"
-HOMEPAGE="
- https://sqlglot.com/
- https://github.com/tobymao/sqlglot/
- https://pypi.org/project/sqlglot/
-"
-SRC_URI+="
- native-extensions? (
- ${CARGO_CRATE_URIS}
- )
-"
-
-LICENSE="MIT"
-LICENSE+=" native-extensions? ("
-# Dependent crate licenses
-LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
-LICENSE+=" )"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~x86"
-IUSE="+native-extensions"
-
-BDEPEND="
- native-extensions? (
- ${RUST_DEPEND}
- dev-util/maturin[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
-
-src_unpack() {
- cargo_src_unpack
-}
-
-src_prepare() {
- # remove fragile timing check
- sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
- distutils-r1_src_prepare
-}
-
-python_compile() {
- distutils-r1_python_compile
-
- if use native-extensions; then
- local DISTUTILS_USE_PEP517=maturin
- cd sqlglotrs || die
- distutils-r1_python_compile
- cd - >/dev/null || die
- fi
-}
-
-python_test() {
- local EPYTEST_IGNORE=(
- # Tests require pyspark or duckdb which aren't in the tree.
- # Pandas would be a requirement normally, but it gets ignored by proxy.
- "tests/dataframe/integration/test_dataframe.py"
- "tests/dataframe/integration/test_grouped_data.py"
- "tests/dataframe/integration/test_session.py"
- "tests/test_executor.py"
- "tests/test_optimizer.py"
- )
-
- # make sure not to use an earlier installed version
- local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
- rm -rf sqlglotrs || die
- epytest
-}
-
-pkg_postinst() {
- optfeature "simplifying timedelta expressions" dev-python/python-dateutil
-}
diff --git a/dev-python/sqlglot/sqlglot-21.2.1.ebuild b/dev-python/sqlglot/sqlglot-22.3.0.ebuild
index 058fa81df816..058fa81df816 100644
--- a/dev-python/sqlglot/sqlglot-21.2.1.ebuild
+++ b/dev-python/sqlglot/sqlglot-22.3.0.ebuild
diff --git a/dev-python/superqt/Manifest b/dev-python/superqt/Manifest
index d3d23030d9b7..24bf8d2e8ae5 100644
--- a/dev-python/superqt/Manifest
+++ b/dev-python/superqt/Manifest
@@ -1,3 +1,5 @@
DIST superqt-0.6.1.tar.gz 94217 BLAKE2B 9958bb87977d7df6755a625c2b802ada531b1685fc4f0a8d5b327ad0ccfa2a21d7f10238a63116b4cdf6aa59304f0c8ea4967ab166fd423d0d95695f33305df7 SHA512 dc2285aae99e9279b3a88df3fbf8e59c70111f9b1bd82df79feff6013ba8bbf9221a4b4183bb6d3aa9491a6a796b766f26c826811154b854d7d232fcdebf8f74
+DIST superqt-0.6.2.tar.gz 94990 BLAKE2B 1990dcd048fd18913d2c68eb41dd3a0fb1778e468e6c74608f6171e92c0f2a4bf828fb3f73fbbf47f2404fda9864af8bcac66a0a490c35c596e5b5090be39a3a SHA512 8c794ea8dfb8e5aedb3390ce895d392e76faa714f08c1a43c4d8b82ca6353317d9050e5b79d0696e85247fb8772c5fea20642bd7914b1713cd63a737c64397fb
EBUILD superqt-0.6.1.ebuild 997 BLAKE2B f32bfd01dd5caadbcdda9d86577d8181ad43a9b38cbe0a51f722b4e19b66bcd153d489f894e17480997dca9b70bc4589d6ede247bc12af461b2ca05ca9b29c5c SHA512 759788a3dbf7e9c0ecd3449f587f0a51dface1449485bb0f9a1184cc790eb52c1110bb1951023ebd861377acb13de5db2936d9a6428f1b891f44d40490451d6d
+EBUILD superqt-0.6.2.ebuild 997 BLAKE2B ac4ed4ef5e6a264a1be8789059760470e2dffa07bb8db7fece9d5a2bf3f00446a3babe3333c800da14a0e86d015233342060543be465284bfefdc67be929790b SHA512 af6a29fe12cb29ca52dfb601bcfe771179db4355195a7decd481da2fa61caf760dea16cf246f313d93ff09be3f480fba12b8d2719db1367395a395a6b54102dd
MISC metadata.xml 530 BLAKE2B 826ac59ebf84aa7e4ec8423a5c8b9e081cdd5d425eb5113cd0ce038aa46d8cf1e59239e9a06147da1084613cc941f96d06d6377e91f6cb3ce3851621f7256139 SHA512 5cf1b22224b8c5ec9c044e033f373edd629f51a1150cce13e6da8fa1239e43f41dddb44ffbd76cdc76d9280485d22978c185a7e9ba102435100d73f5b29a8b0f
diff --git a/dev-python/superqt/superqt-0.6.2.ebuild b/dev-python/superqt/superqt-0.6.2.ebuild
new file mode 100644
index 000000000000..d28d26f40bb0
--- /dev/null
+++ b/dev-python/superqt/superqt-0.6.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Missing widgets and components for PyQt/PySide"
+HOMEPAGE="
+ https://github.com/pyapp-kit/superqt
+ https://pypi.org/project/superqt/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+ >=dev-python/QtPy-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-qt[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # pint and pyconify not packaged
+ tests/test_quantity.py
+)
+
+EPYTEST_DESELECT=(
+ # fails in the sandbox, but works outside of it
+ tests/test_eliding_label.py::test_wrapped_eliding_label
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ virtx distutils-r1_python_test
+}
diff --git a/dev-python/types-docutils/Manifest b/dev-python/types-docutils/Manifest
index 722dfc9d3382..cc75c5df2e61 100644
--- a/dev-python/types-docutils/Manifest
+++ b/dev-python/types-docutils/Manifest
@@ -1,9 +1,3 @@
-DIST types-docutils-0.20.0.20240302.tar.gz 13137 BLAKE2B 3e9190aa61d73454df392bd7c069db7b0fccccb2ad84017de8ec8051bd5c74f6bb9798ebfa4e5cb92aee444ec051a736fc1b2f2bf046cdc7ac32b675a5ca606e SHA512 44f6cab5155e92d95aa18846f8713af156f61fec742651727f50f6779140fcab73cd993b2271796a563564a7301ad3f18f4b38de79e01b51440026832b1a044c
-DIST types-docutils-0.20.0.20240303.tar.gz 13607 BLAKE2B 59963a2d072d8e3c408f778cb681872306f3f3598b24fa555993e1ef0e085aa2b1060528ca7ecae5f12bb6b0aca7b1e5d967cd21dabbbde558466aa057269f3e SHA512 37c4864d68183b75458cdf2898c454c80fa7fa5563918a63764a038cd3b41b6abc727dc5c79e06a19d3e3623653548b72c98b539ac2fb219cc3a8531924c97d5
-DIST types-docutils-0.20.0.20240304.tar.gz 14344 BLAKE2B 9a1013cf9c76dc3b388f28e2ecd215ad9c058143f97e19d659d76249290ee9977ee018c5cd8c19ea8181948549fd6ae9c6196a1901659cfd141cbd231b4626eb SHA512 2156a97382029c75186c49460a1fc24a91db43c187a82eb967726f97cddd9232ab58182b5a33422d205e1d87bfcdea8a1e86513545917f8d0a4d4d915616274b
-DIST types-docutils-0.20.0.20240308.tar.gz 14973 BLAKE2B 19fdba7a81197ad8ab643371aa7ec98fc8fe0bb12ae5a8b684acada5cf7c9431471d1a16157cf79e437e3e5cbc52f262a60adec42a71b3fff8381f404bdce437 SHA512 321c3e5dd7ff0f9040ead0d81255c557d9929ef130371b371514748e4fe6af97fd598763e12e260848e782883316ce27b059066e19dd1ccba4d5ee0b0bff16b5
-EBUILD types-docutils-0.20.0.20240302.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
-EBUILD types-docutils-0.20.0.20240303.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
-EBUILD types-docutils-0.20.0.20240304.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
-EBUILD types-docutils-0.20.0.20240308.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
+DIST types-docutils-0.20.0.20240309.tar.gz 16064 BLAKE2B c6695b4f3badf21ea2feded98b498985095e0962670af8068aa337b322775f9d3e6661e89ce4cf99d593f9b9bd627e01dfea0d79685f7fe59ed36ce8c28091ba SHA512 a29ca1c5080447f72eb484c7549a6c2306a668ac567b6a32e8a6a06d1e2db98ef01b45c0df79b3b7aa37edffbef5f362e1f0e69298b716228afcf1adc6b9581a
+EBUILD types-docutils-0.20.0.20240309.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
MISC metadata.xml 325 BLAKE2B 399aab1e8779e48d84998d6fdd595638aaf674b9a7076573aad7ade16855c4fc785dd45b1eff833c8ec7accda2a08cf561dfa14237e4edf6292fc7961ad76f7e SHA512 fb2768e73dd948c79654ab22c24d868a418576f2008153e45e4d0b42e2750872884bd35451ee3917203469d72d1c76f84d849e9d3534dc1006eb4d80b3ef04d7
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240303.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240303.ebuild
deleted file mode 100644
index cb335ec2836f..000000000000
--- a/dev-python/types-docutils/types-docutils-0.20.0.20240303.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Typing stubs for docutils"
-HOMEPAGE="https://pypi.org/project/types-docutils/"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240304.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240304.ebuild
deleted file mode 100644
index cb335ec2836f..000000000000
--- a/dev-python/types-docutils/types-docutils-0.20.0.20240304.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Typing stubs for docutils"
-HOMEPAGE="https://pypi.org/project/types-docutils/"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240308.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240308.ebuild
deleted file mode 100644
index cb335ec2836f..000000000000
--- a/dev-python/types-docutils/types-docutils-0.20.0.20240308.ebuild
+++ /dev/null
@@ -1,17 +0,0 @@
-# Copyright 2022-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Typing stubs for docutils"
-HOMEPAGE="https://pypi.org/project/types-docutils/"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240302.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240309.ebuild
index cb335ec2836f..cb335ec2836f 100644
--- a/dev-python/types-docutils/types-docutils-0.20.0.20240302.ebuild
+++ b/dev-python/types-docutils/types-docutils-0.20.0.20240309.ebuild
diff --git a/dev-python/types-setuptools/Manifest b/dev-python/types-setuptools/Manifest
index b66ecbafd6dd..38dbb13f2f34 100644
--- a/dev-python/types-setuptools/Manifest
+++ b/dev-python/types-setuptools/Manifest
@@ -1,5 +1,7 @@
DIST types-setuptools-69.1.0.20240302.tar.gz 34794 BLAKE2B 278be0abe3891e8436a2a583d7220d7e28e80606a7170bdc174aa184d43734f5c46c396a12122cbdfe593020fcd4e8851389f99ef0708226d2a47a547dc4b0e6 SHA512 9160098d6146f32069805a096d8c3418de1618748948ff813d0209071b28746bd526441e8e34d93b8e0ac9d5a9d22b6656a6a00377bd6599263fa13e3456189a
DIST types-setuptools-69.1.0.20240308.tar.gz 34868 BLAKE2B 091073d8741f2d3d7a45cfe31ab07bbfc52a7a90b049d5bbe354fce9baaf8c45dacda70651f6b12a4e88a92e6f27a667075a96529583d688657357554a9e05e1 SHA512 326d304bb5c1fb8b6b95793e48da69ad3ee4fa1c87f45fd272d91502a69e65f354cc0806dacfe82122af13ee58de0d12eaec12f8a9cb20adaf4284794652e679
+DIST types-setuptools-69.1.0.20240309.tar.gz 34986 BLAKE2B e3ff6c1f30d5233841dea49799eb283e82f730fcb59bd4d548d42950f11e1d0586bb319f47bef45eaa753f9963dbea625a17d112df4a7ef6df495d76a5abf130 SHA512 9b2e000bca7e0103a0ca971dffbac6cf5c7ff8b0bed725dfba67a99aa51b0f85dd4a11fad25a97df7fc2a83b2557e75295bb4057ebabb1ebb1117da749795f21
EBUILD types-setuptools-69.1.0.20240302.ebuild 446 BLAKE2B 8806a9adda11fc518ce33033fd60775833ce2d57f071af516d0e5c81cf1cd87c522c7a74b02ee59c1690e8fd5548e21edc912bbc50cb5687946f111674e188a0 SHA512 d24926735e809294f4833c61fe86ae1044a34771b9c9adce44d56e61f576aff843a9b65147a1825da6e51bad40dba5a66b0ce4ab37c2e6037f283126952fb181
EBUILD types-setuptools-69.1.0.20240308.ebuild 454 BLAKE2B 56ba14cfedf7dfb55df942bc6380bd9bc013815accba7ce87a864b1a8228fee49226edbab5a52c8f44e93c41f746d4fbc68bcae6f321ed66d650e321cc5ab71d SHA512 d32b4afaefd06267a20e4c5c168c47a1aa6fa4f1eee5eccec2e1fe38c67f599bfd9e040c00a36cf3b09c7cbe84d701b322fac982b88c9d1480032e56bddd67c0
+EBUILD types-setuptools-69.1.0.20240309.ebuild 454 BLAKE2B 56ba14cfedf7dfb55df942bc6380bd9bc013815accba7ce87a864b1a8228fee49226edbab5a52c8f44e93c41f746d4fbc68bcae6f321ed66d650e321cc5ab71d SHA512 d32b4afaefd06267a20e4c5c168c47a1aa6fa4f1eee5eccec2e1fe38c67f599bfd9e040c00a36cf3b09c7cbe84d701b322fac982b88c9d1480032e56bddd67c0
MISC metadata.xml 399 BLAKE2B 6e130dc38e0e0e0e6e02567d750d37c6f28ea40c4742a9247f347f29e1700fc420015e7ff951f4a11c156c2df88d7e3b7f03be7759d05872a7783a2d25e35b1e SHA512 bbc9cb552e652e7644d4d635cfd74fdfffcf6426160025411843d53d37b02fdd65f7e1fb435fee7b628033cef517e3f5a902466b5786b842592ccfad068edc15
diff --git a/dev-python/types-setuptools/types-setuptools-69.1.0.20240309.ebuild b/dev-python/types-setuptools/types-setuptools-69.1.0.20240309.ebuild
new file mode 100644
index 000000000000..69fd1036f5c6
--- /dev/null
+++ b/dev-python/types-setuptools/types-setuptools-69.1.0.20240309.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for setuptools"
+HOMEPAGE="https://pypi.org/project/types-setuptools/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index 6d51dba2bacb..f9df540fbd17 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1,5 +1,7 @@
DIST weasyprint-60.2.tar.gz 442554 BLAKE2B 492f0cd3f155aa20e440e384930cff38e8674cc2430f134fdcce80e627997b0d752d6b585aaece6ff23505fed3ff45430c06c82763ca96ce30da38411e21721f SHA512 1da30b2626911c22a996cf7888edc86a7e3534d552325790c3bb06b29a7bedda8021680f5cac1acd6f0aba0658c64cda02cafa1fcba5f3a76bce6bb5fb229b71
DIST weasyprint-61.1.tar.gz 446987 BLAKE2B f32e0ec4014d6bd023e5320de9c2878b529fe1725691bb8c73fe295784507a5e785938d043a3731f659fd2c49fe2413008264b8ca8748c451bd99ce07209c9ff SHA512 f7f0c84acc9a9eba61fc59c7f16eb9260ca93ba901905c3cdc1fb871f3646687eb9881dd486eeec5d98cebb5d1893f2fcdff585cdb356bdfb0e38fdd0167b316
+DIST weasyprint-61.2.tar.gz 447333 BLAKE2B 753f80ee0756e75b46023d29b8409599de9ff9f7f338a7800cf917a012f61c6a50857af813e4cbfe1ddfa913f95befc43719688468449d6f1b8d8df3714a7895 SHA512 62c3afba18bcc141bc013b95848b0e2426160123533509b6e353caa6c33173266524be84b0a50443ac2549b1b8013e5eb915f54a68168d65e98c9251c4fdf339
EBUILD weasyprint-60.2.ebuild 979 BLAKE2B 11567941df8db10f5b1e81d60ba838cfccd589eece230abfc00bb9e87ee55662de25cd66e7279f81f09d264de8d4a185e9dcd4f37f62eb2ebd25faeca562318e SHA512 deedd5aba05d71cdd058fef72b4e70c02480853029e2a1db36fcbce4183e53b0e98aaa721395b878ab52f99059b48c28aa0676c9306c201d64071789448c7f73
EBUILD weasyprint-61.1.ebuild 1051 BLAKE2B 644e8fc77a6420ee19ad23876e84ec4051ed6d286cb3a66a98ad6b90a5432369b538d902f183d5bdb31f05a8906cdf0d1f8e68e6805f0ca2cad4e9e819797b89 SHA512 c5e98f59fc0d06ece87b281c1e8fcd3ebb4d1b2ea3277e6637f3301fab3da68c7a5f7bb515f40b482a3a9f53ff4b6adda3d8d08fb8762b03b12790e4e7b93c17
+EBUILD weasyprint-61.2.ebuild 1051 BLAKE2B 644e8fc77a6420ee19ad23876e84ec4051ed6d286cb3a66a98ad6b90a5432369b538d902f183d5bdb31f05a8906cdf0d1f8e68e6805f0ca2cad4e9e819797b89 SHA512 c5e98f59fc0d06ece87b281c1e8fcd3ebb4d1b2ea3277e6637f3301fab3da68c7a5f7bb515f40b482a3a9f53ff4b6adda3d8d08fb8762b03b12790e4e7b93c17
MISC metadata.xml 382 BLAKE2B 3e5d142b055354e1ea440d9efd4bf92458b1da3f777dd90929ce2041ca6e0969fa6e58aacfb4a5a93ff90805e0d8ec4c9c6253559ca54698f5029639ce35ac8a SHA512 43415064a6f56eaca974031e51d63118d1c65b33e4399302fc72cc2cd6f15e0a47cf411b18d3c5136e866115855deb19b6a9e058a18049151959ce5ee29ececf
diff --git a/dev-python/weasyprint/weasyprint-61.2.ebuild b/dev-python/weasyprint/weasyprint-61.2.ebuild
new file mode 100644
index 000000000000..9af57e769437
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-61.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.0.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}